| ioPAC RTU Controllers C/C++ Sample Code Programming Guide

- Main Page
- Modules
- Data Structures
- Files

Modules | Functions
DO
Library » IO

## Modules
| DO_MODE
| DO_DIAGNOSTIC_STATUS

## Functions
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_Value_Get (UINT8 slot, UINT32 *value)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_Mode_Get (UINT8 slot, UINT8 start, UINT8 count, UINT8 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_SigW_L_Get (UINT8 slot, UINT8 start, UINT8 count, UINT32 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_SigW_H_Get (UINT8 slot, UINT8 start, UINT8 count, UINT32 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Start_Get (UINT8 slot, UINT32 *start)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Count_Get (UINT8 slot, UINT8 start, UINT8 count, UINT32 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Config_Get (UINT8 slot, UINT8 start, UINT8 count, float *frequency, float *dutyCycle)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_Diagnostic_Status_Get (UINT8 slot, UINT8 start, UINT8 count, UINT8 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_Value_Set (UINT8 slot, UINT32 value)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_Mode_Set (UINT8 slot, UINT8 start, UINT8 count, UINT8 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_SigW_L_Set (UINT8 slot, UINT8 start, UINT8 count, UINT32 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_SigW_H_Set (UINT8 slot, UINT8 start, UINT8 count, UINT32 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Start_Set (UINT8 slot, UINT32 start)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Stop_Set (UINT8 slot, UINT32 stop)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Count_Set (UINT8 slot, UINT8 start, UINT8 count, UINT32 *buf)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_PWM_Config_Set (UINT8 slot, UINT8 start, UINT8 count, float *frequency, float *dutyCycle)
MODULE_RW_ERR_CODE | MX_RTU_Module_DO_Diagnostic_Status_Clean_Set (UINT8 slot, UINT32 clean)

## Detailed Description

Sample Code:
do.c

## Function Documentation

MODULE_RW_ERR_CODE MX_RTU_Module_DO_Value_Get | ( | UINT8 | slot,
|  | UINT32 * | value
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [out] | value | A bitwise value to indicate all channels' values. The bit 0 represents channel 0's value and so on.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_Mode_Get | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT8 * | buf
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to get.
  [in] | count | The number of channels to get.
  [out] | buf | The DO modes for the corresponding channels.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_SigW_L_Get | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT32 * | buf
| ) |  |

MODULE_RW_ERR_CODE MX_RTU_Module_DO_SigW_H_Get | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT32 * | buf
| ) |  |

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Start_Get | ( | UINT8 | slot,
|  | UINT32 * | start
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [out] | start | A bitwise value to indicate all channels PWMs' status. The bit 0's value represents channel 0's PWM is started or not and so on (0: stop, 1: start).

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Count_Get | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT32 * | buf
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to get.
  [in] | count | The number of channels to get.
  [out] | buf | The numbers of PWM count for the corresponding channels.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Config_Get | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | float * | frequency,
|  | float * | dutyCycle
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to get.
  [in] | count | The number of channels to get.
  [out] | frequency | The DO PWM frequency (Hz) for the corresponding channels. Range = 0.01Hz ~ MAX supported freqency.
  [out] | dutyCycle | The DO PWM ON duty cycle (%) for the corresponding channels. Range = 0.1% ~ 99.9%.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_Diagnostic_Status_Get | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT8 * | buf
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to get.
  [in] | count | The number of channels to get.
  [out] | buf | The DO diagnostic status for the corresponding channels.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_Value_Set | ( | UINT8 | slot,
|  | UINT32 | value
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | value | A bitwise value to indicate all channels' values. The bit 0 represents channel 0's value and so on.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_Mode_Set | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT8 * | buf
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to set.
  [in] | count | The number of channels to set.
  [in] | buf | The DO modes for the corresponding channels.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_SigW_L_Set | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT32 * | buf
| ) |  |

MODULE_RW_ERR_CODE MX_RTU_Module_DO_SigW_H_Set | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT32 * | buf
| ) |  |

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Start_Set | ( | UINT8 | slot,
|  | UINT32 | start
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | A bitwise value to indicate all channels PWMs' status. The bit 0's value represents channel 0's PWM will start or not and so on (0: stop, 1: start).

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Stop_Set | ( | UINT8 | slot,
|  | UINT32 | stop
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | stop | A bitwise value to indicate all channels PWMs' status. The bit 0's value represents channel 0's PWM will stop or not and so on (0: ignore, 1: stop).

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Count_Set | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | UINT32 * | buf
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to set.
  [in] | count | The number of channels to set.
  [in] | buf | The numbers of PWM count for the corresponding channels.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_PWM_Config_Set | ( | UINT8 | slot,
|  | UINT8 | start,
|  | UINT8 | count,
|  | float * | frequency,
|  | float * | dutyCycle
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | start | The first channel to get.
  [in] | count | The number of channels to get.
  [in] | frequency | The DO PWM frequency (Hz) for the corresponding channels. Range = 0.01Hz ~ MAX supported freqency.
  [in] | dutyCycle | The DO PWM ON duty cycle (%) for the corresponding channels. Range = 0.1% ~ 99.9%.

Returns
  MODULE_RW_ERR_CODE

MODULE_RW_ERR_CODE MX_RTU_Module_DO_Diagnostic_Status_Clean_Set | ( | UINT8 | slot,
|  | UINT32 | clean
| ) |  |

Parameters

  [in] | slot | slot 0: Built-in IO Ports, slot 1 ~ 12: Expansion IO Ports.
  [in] | clean | A bitwise value to indicate all channels diagnostic status. The bit 0's value represents channel 0's diagnostic status will clean or not and so on (0: ignore, 1: stop).

Returns
  MODULE_RW_ERR_CODE